FreeMat

- Main Page
- Related Pages

vtkBSPCuts

Section: Visualization Toolkit Filtering Classes

# Usage

This class converts between the vtkKdTree representation of a tree of vtkKdNodes (used by vtkDistributedDataFilter) and a compact array representation that might be provided by a graph partitioning library like Zoltan. Such a representation could be used in message passing.

To create an instance of class vtkBSPCuts, simply invoke its constructor as follows

      obj = vtkBSPCuts

# Methods

The class vtkBSPCuts has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBSPCuts class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBSPCuts = obj.NewInstance ()`
- `vtkBSPCuts = obj.SafeDownCast (vtkObject o)`
- `obj.CreateCuts (double bounds, int ncuts, int dim, double coord, int lower, int upper, double lowerDataCoord, double upperDataCoord, int npoints)`
- `obj.CreateCuts (vtkKdNode kd)`
- `vtkKdNode = obj.GetKdNodeTree ()`
- `int = obj.GetNumberOfCuts ()`
- `int = obj.GetArrays (int len, int dim, double coord, int lower, int upper, double lowerDataCoord, double upperDataCoord, int npoints)`
- `int = obj.Equals (vtkBSPCuts other, double tolerance)` - Compare these cuts with those of the other tree. Returns true if the two trees are the same.
- `obj.PrintTree ()`
- `obj.PrintArrays ()`